xine-lib: seq_parameter_set_rbsp Struct Reference

xine-lib 1.2.12

Data Fields
seq_parameter_set_rbsp Struct Reference

## Data Fields
uint8_t | profile_idc
uint8_t | constraint_setN_flag
uint8_t | level_idc
uint32_t | seq_parameter_set_id
uint32_t | chroma_format_idc
uint8_t | separate_colour_plane_flag
uint32_t | bit_depth_luma_minus8
uint32_t | bit_depth_chroma_minus8
uint8_t | qpprime_y_zero_transform_bypass_flag
uint8_t | seq_scaling_matrix_present_flag
uint8_t | seq_scaling_list_present_flag [8]
uint8_t | scaling_lists_4x4 [6][16]
uint8_t | scaling_lists_8x8 [2][64]
uint32_t | log2_max_frame_num_minus4
uint32_t | max_frame_num
uint32_t | pic_order_cnt_type
uint32_t | log2_max_pic_order_cnt_lsb_minus4
uint8_t | delta_pic_order_always_zero_flag
int32_t | offset_for_non_ref_pic
int32_t | offset_for_top_to_bottom_field
uint8_t | num_ref_frames_in_pic_order_cnt_cycle
int32_t | offset_for_ref_frame [256]
uint32_t | num_ref_frames
uint8_t | gaps_in_frame_num_value_allowed_flag
uint32_t | pic_width
uint32_t | pic_height
uint8_t | frame_mbs_only_flag
uint8_t | mb_adaptive_frame_field_flag
uint8_t | direct_8x8_inference_flag
uint8_t | frame_cropping_flag
uint32_t | frame_crop_left_offset
uint32_t | frame_crop_right_offset
uint32_t | frame_crop_top_offset
uint32_t | frame_crop_bottom_offset
uint8_t | vui_parameters_present_flag
struct {
uint8_t aspect_ration_info_present_flag
uint8_t aspect_ratio_idc
uint16_t sar_width
uint16_t sar_height
uint8_t overscan_info_present_flag
uint8_t overscan_appropriate_flag
uint8_t video_signal_type_present_flag
uint8_t video_format
uint8_t video_full_range_flag
uint8_t colour_description_present
uint8_t colour_primaries
uint8_t transfer_characteristics
uint8_t matrix_coefficients
uint8_t chroma_loc_info_present_flag
uint8_t chroma_sample_loc_type_top_field
uint8_t chroma_sample_loc_type_bottom_field
uint8_t timing_info_present_flag
uint32_t num_units_in_tick
uint32_t time_scale
uint8_t fixed_frame_rate_flag
uint8_t nal_hrd_parameters_present_flag
struct hrd_parameters nal_hrd_parameters
uint8_t vc1_hrd_parameters_present_flag
struct hrd_parameters vc1_hrd_parameters
uint8_t low_delay_hrd_flag
uint8_t pic_struct_present_flag
uint8_t bitstream_restriction_flag
uint8_t motion_vectors_over_pic_boundaries
uint32_t max_bytes_per_pic_denom
uint32_t max_bits_per_mb_denom
uint32_t log2_max_mv_length_horizontal
uint32_t log2_max_mv_length_vertical
uint32_t num_reorder_frames
uint32_t max_dec_frame_buffering
} | vui_parameters

## Field Documentation

## ◆ aspect_ratio_idc

uint8_t seq_parameter_set_rbsp::aspect_ratio_idc

Referenced by parse_vui_parameters().

## ◆ aspect_ration_info_present_flag

uint8_t seq_parameter_set_rbsp::aspect_ration_info_present_flag

Referenced by parse_vui_parameters().

## ◆ bit_depth_chroma_minus8

uint32_t seq_parameter_set_rbsp::bit_depth_chroma_minus8

Referenced by parse_sps().

## ◆ bit_depth_luma_minus8

uint32_t seq_parameter_set_rbsp::bit_depth_luma_minus8

Referenced by parse_sps().

## ◆ bitstream_restriction_flag

uint8_t seq_parameter_set_rbsp::bitstream_restriction_flag

Referenced by parse_vui_parameters().

## ◆ chroma_format_idc

uint32_t seq_parameter_set_rbsp::chroma_format_idc

Referenced by parse_pred_weight_table(), and parse_sps().

## ◆ chroma_loc_info_present_flag

uint8_t seq_parameter_set_rbsp::chroma_loc_info_present_flag

Referenced by parse_vui_parameters().

## ◆ chroma_sample_loc_type_bottom_field

uint8_t seq_parameter_set_rbsp::chroma_sample_loc_type_bottom_field

Referenced by parse_vui_parameters().

## ◆ chroma_sample_loc_type_top_field

uint8_t seq_parameter_set_rbsp::chroma_sample_loc_type_top_field

Referenced by parse_vui_parameters().

## ◆ colour_description_present

uint8_t seq_parameter_set_rbsp::colour_description_present

Referenced by parse_vui_parameters(), and vdpau_decoder_render().

## ◆ colour_primaries

uint8_t seq_parameter_set_rbsp::colour_primaries

Referenced by parse_vui_parameters().

## ◆ constraint_setN_flag

uint8_t seq_parameter_set_rbsp::constraint_setN_flag

Referenced by parse_sps().

## ◆ delta_pic_order_always_zero_flag

uint8_t seq_parameter_set_rbsp::delta_pic_order_always_zero_flag

Referenced by fill_vdpau_pictureinfo_h264(), parse_slice_header(), and parse_sps().

## ◆ direct_8x8_inference_flag

uint8_t seq_parameter_set_rbsp::direct_8x8_inference_flag

Referenced by fill_vdpau_pictureinfo_h264(), and parse_sps().

## ◆ fixed_frame_rate_flag

uint8_t seq_parameter_set_rbsp::fixed_frame_rate_flag

Referenced by parse_vui_parameters().

## ◆ frame_crop_bottom_offset

uint32_t seq_parameter_set_rbsp::frame_crop_bottom_offset

Referenced by parse_sps().

## ◆ frame_crop_left_offset

uint32_t seq_parameter_set_rbsp::frame_crop_left_offset

Referenced by parse_sps().

## ◆ frame_crop_right_offset

uint32_t seq_parameter_set_rbsp::frame_crop_right_offset

Referenced by parse_sps().

## ◆ frame_crop_top_offset

uint32_t seq_parameter_set_rbsp::frame_crop_top_offset

Referenced by parse_sps().

## ◆ frame_cropping_flag

uint8_t seq_parameter_set_rbsp::frame_cropping_flag

Referenced by parse_sps().

## ◆ frame_mbs_only_flag

uint8_t seq_parameter_set_rbsp::frame_mbs_only_flag

Referenced by check_progressive(), fill_vdpau_pictureinfo_h264(), parse_slice_header(), and parse_sps().

## ◆ gaps_in_frame_num_value_allowed_flag

uint8_t seq_parameter_set_rbsp::gaps_in_frame_num_value_allowed_flag

Referenced by parse_sps().

## ◆ level_idc

uint8_t seq_parameter_set_rbsp::level_idc

Referenced by parse_codec_private(), and parse_sps().

## ◆ log2_max_frame_num_minus4

uint32_t seq_parameter_set_rbsp::log2_max_frame_num_minus4

Referenced by fill_vdpau_pictureinfo_h264(), parse_slice_header(), and parse_sps().

## ◆ log2_max_mv_length_horizontal

uint32_t seq_parameter_set_rbsp::log2_max_mv_length_horizontal

Referenced by parse_vui_parameters().

## ◆ log2_max_mv_length_vertical

uint32_t seq_parameter_set_rbsp::log2_max_mv_length_vertical

Referenced by parse_vui_parameters().

## ◆ log2_max_pic_order_cnt_lsb_minus4

uint32_t seq_parameter_set_rbsp::log2_max_pic_order_cnt_lsb_minus4

Referenced by calculate_pic_order(), fill_vdpau_pictureinfo_h264(), parse_slice_header(), and parse_sps().

## ◆ low_delay_hrd_flag

uint8_t seq_parameter_set_rbsp::low_delay_hrd_flag

Referenced by parse_vui_parameters().

## ◆ matrix_coefficients

uint8_t seq_parameter_set_rbsp::matrix_coefficients

Referenced by parse_vui_parameters(), and vdpau_decoder_render().

## ◆ max_bits_per_mb_denom

uint32_t seq_parameter_set_rbsp::max_bits_per_mb_denom

Referenced by parse_vui_parameters().

## ◆ max_bytes_per_pic_denom

uint32_t seq_parameter_set_rbsp::max_bytes_per_pic_denom

Referenced by parse_vui_parameters().

## ◆ max_dec_frame_buffering

uint32_t seq_parameter_set_rbsp::max_dec_frame_buffering

Referenced by parse_vui_parameters().

## ◆ max_frame_num

uint32_t seq_parameter_set_rbsp::max_frame_num

Referenced by calculate_pic_nums(), calculate_pic_order(), interpret_sps(), and parse_sps().

## ◆ mb_adaptive_frame_field_flag

uint8_t seq_parameter_set_rbsp::mb_adaptive_frame_field_flag

Referenced by fill_vdpau_pictureinfo_h264(), and parse_sps().

## ◆ motion_vectors_over_pic_boundaries

uint8_t seq_parameter_set_rbsp::motion_vectors_over_pic_boundaries

Referenced by parse_vui_parameters().

## ◆ nal_hrd_parameters

struct hrd_parameters seq_parameter_set_rbsp::nal_hrd_parameters

Referenced by parse_sei(), and parse_vui_parameters().

## ◆ nal_hrd_parameters_present_flag

uint8_t seq_parameter_set_rbsp::nal_hrd_parameters_present_flag

Referenced by interpret_sps(), parse_sei(), and parse_vui_parameters().

## ◆ num_ref_frames

uint32_t seq_parameter_set_rbsp::num_ref_frames

Referenced by fill_vdpau_pictureinfo_h264(), parse_sps(), and vdpau_decoder_render().

## ◆ num_ref_frames_in_pic_order_cnt_cycle

uint8_t seq_parameter_set_rbsp::num_ref_frames_in_pic_order_cnt_cycle

Referenced by parse_sps().

## ◆ num_reorder_frames

uint32_t seq_parameter_set_rbsp::num_reorder_frames

Referenced by parse_vui_parameters().

## ◆ num_units_in_tick

uint32_t seq_parameter_set_rbsp::num_units_in_tick

Referenced by parse_vui_parameters(), and vdpau_decoder_render().

## ◆ offset_for_non_ref_pic

int32_t seq_parameter_set_rbsp::offset_for_non_ref_pic

Referenced by parse_sps().

## ◆ offset_for_ref_frame

int32_t seq_parameter_set_rbsp::offset_for_ref_frame[256]

Referenced by parse_sps().

## ◆ offset_for_top_to_bottom_field

int32_t seq_parameter_set_rbsp::offset_for_top_to_bottom_field

Referenced by parse_sps().

## ◆ overscan_appropriate_flag

uint8_t seq_parameter_set_rbsp::overscan_appropriate_flag

Referenced by parse_vui_parameters().

## ◆ overscan_info_present_flag

uint8_t seq_parameter_set_rbsp::overscan_info_present_flag

Referenced by parse_vui_parameters().

## ◆ pic_height

uint32_t seq_parameter_set_rbsp::pic_height

Referenced by parse_sps().

## ◆ pic_order_cnt_type

uint32_t seq_parameter_set_rbsp::pic_order_cnt_type

Referenced by calculate_pic_order(), fill_vdpau_pictureinfo_h264(), parse_nal(), parse_slice_header(), and parse_sps().

## ◆ pic_struct_present_flag

uint8_t seq_parameter_set_rbsp::pic_struct_present_flag

Referenced by interpret_sei(), interpret_sps(), and parse_vui_parameters().

## ◆ pic_width

uint32_t seq_parameter_set_rbsp::pic_width

Referenced by parse_sps().

## ◆ profile_idc

uint8_t seq_parameter_set_rbsp::profile_idc

Referenced by parse_codec_private(), and parse_sps().

## ◆ qpprime_y_zero_transform_bypass_flag

uint8_t seq_parameter_set_rbsp::qpprime_y_zero_transform_bypass_flag

Referenced by parse_sps().

## ◆ sar_height

uint16_t seq_parameter_set_rbsp::sar_height

Referenced by parse_vui_parameters().

## ◆ sar_width

uint16_t seq_parameter_set_rbsp::sar_width

Referenced by parse_vui_parameters().

## ◆ scaling_lists_4x4

uint8_t seq_parameter_set_rbsp::scaling_lists_4x4[6][16]

Referenced by interpret_pps(), parse_sps(), pps_scaling_list_fallback(), and sps_scaling_list_fallback().

## ◆ scaling_lists_8x8

uint8_t seq_parameter_set_rbsp::scaling_lists_8x8[2][64]

Referenced by interpret_pps(), parse_sps(), pps_scaling_list_fallback(), and sps_scaling_list_fallback().

## ◆ separate_colour_plane_flag

uint8_t seq_parameter_set_rbsp::separate_colour_plane_flag

Referenced by parse_pred_weight_table(), parse_slice_header(), and parse_sps().

## ◆ seq_parameter_set_id

uint32_t seq_parameter_set_rbsp::seq_parameter_set_id

Referenced by nal_buffer_get_by_sps_id(), and parse_sps().

## ◆ seq_scaling_list_present_flag

uint8_t seq_parameter_set_rbsp::seq_scaling_list_present_flag[8]

Referenced by parse_sps().

## ◆ seq_scaling_matrix_present_flag

uint8_t seq_parameter_set_rbsp::seq_scaling_matrix_present_flag

Referenced by parse_sps().

## ◆ time_scale

uint32_t seq_parameter_set_rbsp::time_scale

Referenced by parse_vui_parameters(), and vdpau_decoder_render().

## ◆ timing_info_present_flag

uint8_t seq_parameter_set_rbsp::timing_info_present_flag

Referenced by parse_vui_parameters(), and vdpau_decoder_render().

## ◆ transfer_characteristics

uint8_t seq_parameter_set_rbsp::transfer_characteristics

Referenced by parse_vui_parameters().

## ◆ vc1_hrd_parameters

struct hrd_parameters seq_parameter_set_rbsp::vc1_hrd_parameters

Referenced by parse_vui_parameters().

## ◆ vc1_hrd_parameters_present_flag

uint8_t seq_parameter_set_rbsp::vc1_hrd_parameters_present_flag

Referenced by interpret_sps(), and parse_vui_parameters().

## ◆ video_format

uint8_t seq_parameter_set_rbsp::video_format

Referenced by parse_vui_parameters().

## ◆ video_full_range_flag

uint8_t seq_parameter_set_rbsp::video_full_range_flag

Referenced by parse_vui_parameters(), and vdpau_decoder_render().

## ◆ video_signal_type_present_flag

uint8_t seq_parameter_set_rbsp::video_signal_type_present_flag

Referenced by parse_vui_parameters(), and vdpau_decoder_render().

## ◆

struct { ... } seq_parameter_set_rbsp::vui_parameters

Referenced by interpret_sei(), interpret_sps(), parse_sei(), parse_vui_parameters(), and vdpau_decoder_render().

## ◆ vui_parameters_present_flag

uint8_t seq_parameter_set_rbsp::vui_parameters_present_flag

Referenced by interpret_sei(), interpret_sps(), parse_sei(), parse_sps(), and vdpau_decoder_render().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_h264.c